{% extends 'base.html ' %}

{% block content %}
    <main>
        <div>
            <h1>{{ show_project.name }}</h1>
            <p>{{ show_project.description }}</p>
            <h2>Tasks</h2>
            <p>
                <a href="{% url "create_task" %}">Create a new task</a>
            </p>
            {% if show_project.tasks.count > 0 %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for list in show_project.tasks.all %}
                            <tr>
                                <td>{{ list.name }}</td>
                                <td>{{ list.assignee }}</td>
                                <td>{{ list.start_date }}</td>
                                <td>{{ list.due_date }}</td>
                                <td>{{ list.is_completed|yesno:"yeah,no" }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>This project has no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
